summaryrefslogtreecommitdiffstats
path: root/libraries/libfabric/libfabric.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libfabric/libfabric.SlackBuild')
-rw-r--r--libraries/libfabric/libfabric.SlackBuild12
1 files changed, 4 insertions, 8 deletions
diff --git a/libraries/libfabric/libfabric.SlackBuild b/libraries/libfabric/libfabric.SlackBuild
index 366c30f107..196598c58a 100644
--- a/libraries/libfabric/libfabric.SlackBuild
+++ b/libraries/libfabric/libfabric.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libfabric
-# Copyright 2022-2023 Vijay Marcel
+# Copyright 2022-2024 Vijay Marcel
# All rights reserved.
#
@@ -26,7 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=libfabric
-VERSION=${VERSION:-1.18.0}
+VERSION=${VERSION:-1.20.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -37,9 +37,6 @@ case "$sys_arch" in
*) echo "This program will not build on $sys_arch platform" && exit 1 ;;
esac
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -74,10 +71,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+./autogen.sh
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-
-./autogen.sh
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -95,7 +91,7 @@ make install DESTDIR=$PKG
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
- | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded --remove-section=.comment --remove-section=.note 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done